## golang-github-muka-go-bluetooth 5.60

=== Makefile ===

.PHONY: gen

BLUEZ_VERSION ?= 5.60
FILTER ?=

DOCKER_PARAMS :=  --privileged -it --rm \
	--net=host \
	-v /dev:/dev \
	-v /var/run/dbus:/var/run/dbus \
	-v /sys/class/bluetooth:/sys/class/bluetooth \
	-v /var/lib/bluetooth:/var/lib/bluetooth \
	opny/bluez-${BLUEZ_VERSION}

all: bluez/checkout gen/clean gen/run

bluez/init:
	git submodule init
	git submodule update

bluez/checkout:
	cd src/bluez && git fetch && git checkout ${BLUEZ_VERSION}

service/bluetoothd/logs:
	journalctl -u bluetooth -f

service/bluetoothd/start: service/bluetoothd/stop
	sudo bluetoothd -E -d -n -P hostname

service/bluetoothd/stop:
	sudo killall bluetoothd || true

gen/clean:
	rm -f `ls bluez/profile/*/gen_* -1` || true
	rm -f `ls bluez/profile/gen_* -1` || true

gen/run: bluez/checkout
	BLUEZ_VERSION=${BLUEZ_VERSION} FILTER=${FILTER} go run gen/srcgen/main.go full

gen: gen/run

build: gen
	CGO_ENABLED=0 go build -o go-bluetooth ./main.go

dev/kill:
	ssh ${DEV_HOST} "killall go-bluetooth" || true

docker/bluetoothd/init:
	sudo addgroup bluetooth || true
	sudo adduser `id -nu` bluetooth || true
	sudo ln -s `pwd`/src/bluetooth.conf /etc/dbus-1/system.d/

docker/service/setup:
	./bin/btmgmt power off
	./bin/btmgmt le on
	./bin/btmgmt bredr off
	./bin/btmgmt power on

docker/btmgmt:
	./bin/btmgmt

docker/bluetoothd/build:
	docker build ./env/bluez --build-arg BLUEZ_VERSION=${BLUEZ_VERSION} -t opny/bluez-${BLUEZ_VERSION}

docker/bluetoothd/push:
	docker push opny/bluez-${BLUEZ_VERSION}

docker/bluetoothd/run: service/bluetoothd/stop
	docker run --name bluez_bluetoothd \
		${DOCKER_PARAMS}

bluez-5.50/gen:
	BLUEZ_VERSION=5.50 make gen/clean gen

bluez-5.53/gen:
	BLUEZ_VERSION=5.53 make gen/clean gen

bluez-5.54/gen:
	BLUEZ_VERSION=5.54 make gen/clean gen

bluez-5.55/gen:
	BLUEZ_VERSION=5.55 make gen/clean gen

bluez-5.62/gen:
	BLUEZ_VERSION=5.62 make gen/clean gen

bluez-5.60/gen:
	BLUEZ_VERSION=5.60 make gen/clean gen

=== gen/Makefile ===

.PHONY: adapter advertising

adapter:
	BASEDIR=.. \
	FILE_FILTER=adapter \
	xAPI_FILTER="Provisioner" \
	xMETHOD_FILTER=Attach LOG_LEVEL=trace \
		go run ./srcgen/main.go full --debug

advertising:
	BASEDIR=.. \
	FILE_FILTER=advertising-api \
	xAPI_FILTER="Provisioner" \
	xMETHOD_FILTER=Attach LOG_LEVEL=trace \
	go run ./srcgen/main.go full --debug

mesh:
	BASEDIR=.. \
	FILE_FILTER=mesh-api \
	xAPI_FILTER="Provisioner" \
	xMETHOD_FILTER=Attach LOG_LEVEL=trace \
	go run ./srcgen/main.go full --debug

advertisement-monitor:
	BASEDIR=.. \
	FILE_FILTER=advertisement-monitor-api \
	xAPI_FILTER="Provisioner" \
	xMETHOD_FILTER=Attach LOG_LEVEL=trace \
	go run ./srcgen/main.go full --debug

=== debian/changelog ===
golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 16:18:20 +1000

golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:07:15 +0100

golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:54:59 +0530

golang-github-muka-go-bluetooth (5.60-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:34 +1200

golang-github-muka-go-bluetooth (5.60-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop unnecessary dependency on build-essential.

  [ Jelmer Vernooĳ ]
  * Revert "Merge branch 'lintian-fixes' into 'debian/sid'"

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:11:07 +0100

golang-github-muka-go-bluetooth (5.60-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Jun 2022 10:36:13 +0200

golang-github-muka-go-bluetooth (5.60-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 28 May 2022 10:46:13 +0200

=== debian/control ===
Source: golang-github-muka-go-bluetooth
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-dbus-dev,
               golang-github-fatih-structs-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-github-suapapa-go-eddystone-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-logrus-dev,
# stuff also needed but not automagically detected
               golang-github-google-uuid-dev,
# tests need real hardware, that is not available on buildd, so deactivate tests
## external binaries that are needed for tests
#               rfkill,
#               bluez
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-muka-go-bluetooth
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-muka-go-bluetooth.git
Homepage: https://github.com/muka/go-bluetooth
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/muka/go-bluetooth

Package: golang-github-muka-go-bluetooth-dev
Architecture: all
Depends: golang-dbus-dev,
         golang-github-fatih-structs-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-github-suapapa-go-eddystone-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-tools-dev,
         golang-logrus-dev,
         ${misc:Depends}
Description: Golang bluetooth client based on bluez DBus interfaces (library)
 This package contains a Go bluetooth API for Linux-based Bluez DBus interface.
 .
 High level features supported:
  - Client code generation from bluez documentation
  - Shell wrappers for rfkill, btmgmt, hciconfig, hcitool
  - An hci socket basic API (inspired by go-ble/ble
  - Expose bluetooth service from go code [unstable]
  - Pairing and authentication support (via agent)
  - Beaconing send & receive (iBeacon and Eddystone)
  - Mesh API support (since v5.53)
 .
 This package contains the development files.

Package: go-bluetooth
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Golang bluetooth client based on bluez DBus interfaces (program)
 This package contains a Go bluetooth API for Linux-based Bluez DBus interface.
 .
 High level features supported:
  - Client code generation from bluez documentation
  - Shell wrappers for rfkill, btmgmt, hciconfig, hcitool
  - An hci socket basic API (inspired by go-ble/ble
  - Expose bluetooth service from go code [unstable]
  - Pairing and authentication support (via agent)
  - Beaconing send & receive (iBeacon and Eddystone)
  - Mesh API support (since v5.53)
 .
 This package contains the client software.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=buildinfo=-path

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	echo "do nothing here"
